/*******************************************************************************
 * AnimNotify_PlayFaceFXAnim generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class AnimNotify_PlayFaceFXAnim extends AnimNotify_Scripted
    editinlinenew
    collapsecategories
    hidecategories(Object);

var() FaceFXAnimSet FaceFXAnimSetRef;
var() string GroupName;
var() string AnimName;
var() SoundCue SoundCueToPlay;
var() AkEvent AkEventToPlay;
var() bool bOverridePlayingAnim;
var() float PlayFrequency;

event Notify(Actor Owner, AnimNodeSequence AnimSeqInstigator)
{
    // End:0x28
    if(PlayFrequency < 1.0)
    {
        // End:0x25
        if(FRand() > PlayFrequency)
        {
            return;
        }
    }
    // End:0x3B
    else
    {
        // End:0x3B
        if(PlayFrequency > 1.0)
        {
        }
    }
    // End:0xF1
    if(Owner != none)
    {
        // End:0xF1
        if(Owner.CanActorPlayFaceFXAnim())
        {
            // End:0xF1
            if(bOverridePlayingAnim || !Owner.IsActorPlayingFaceFXAnim())
            {
                // End:0xF1
                if(Owner.PlayActorFaceFXAnim(FaceFXAnimSetRef, GroupName, AnimName, SoundCueToPlay, AkEventToPlay) == false)
                {
                }
            }
        }
    }
    //return;    
}

defaultproperties
{
    bOverridePlayingAnim=true
    PlayFrequency=1.0
}